# Class UserAgentManager

java.lang.Object
com.databricks.jdbc.common.util.UserAgentManager

public class UserAgentManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`USER_AGENT_SEA_CLIENT`
`static final String`
`USER_AGENT_THRIFT_CLIENT`

## Constructor Summary

Constructors
Constructor
Description
`UserAgentManager()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getUserAgentString()`
Gets the user agent string for Databricks Driver HTTP Client.
`static void`
`setUserAgent(IDatabricksConnectionContext connectionContext)`
Set the user agent for the Databricks JDBC driver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### USER_AGENT_SEA_CLIENT

public static final String USER_AGENT_SEA_CLIENT

See Also:
  - Constant Field Values

### USER_AGENT_THRIFT_CLIENT

public static final String USER_AGENT_THRIFT_CLIENT

See Also:
  - Constant Field Values

## Constructor Details

### UserAgentManager

public UserAgentManager()

## Method Details

### setUserAgent

public static void setUserAgent(IDatabricksConnectionContext connectionContext)
Set the user agent for the Databricks JDBC driver.

Parameters:
  `connectionContext` - The connection context.

### getUserAgentString

public static String getUserAgentString()
Gets the user agent string for Databricks Driver HTTP Client.